Groovy 1.7.0

## org.codehaus.groovy.runtime.dgmimpl.arrays
Class ArrayMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

    class ArrayMetaMethod
    extends CallSiteAwareMetaMethod

Field Summary
`protected static CachedClass` | `INTEGER_CLASS`
`protected static CachedClass[]` | `INTEGER_CLASS_ARR`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ArrayMetaMethod()`

Method Summary
`int` | `getModifiers()`
`protected static int` | `normaliseIndex(int i, int size)`

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### INTEGER_CLASS

    protected static final CachedClass INTEGER_CLASS

### INTEGER_CLASS_ARR

    protected static final CachedClass[] INTEGER_CLASS_ARR

Constructor Detail

### ArrayMetaMethod

    ArrayMetaMethod()

Method Detail

### getModifiers

    public int getModifiers()

### normaliseIndex

    protected static int normaliseIndex(int i, int size)

Copyright © 2003-2009 The Codehaus. All rights reserved.